/***************************************************
* @brief LED驱动头文件
* @date  2024-2-4
* @author ZHF
****************************************************/
#ifndef __LED_H
#define __LED_H
	 
#include "sys.h"

//LED驱动代码			 


//LED端口定义
#define LED_SEL PBout(4) //PB3

//位选
#define SEL0 PBout(0)
#define SEL1 PBout(1)
#define SEL2 PBout(2)

//段选
#define LED0 PEout(8)
#define LED1 PEout(9)
#define LED2 PEout(10)
#define LED3 PEout(11)
#define LED4 PEout(12)
#define LED5 PEout(13)
#define LED6 PEout(14)
#define LED7 PEout(15)

extern u8 segTable[];
extern u8 segTablePortation[];


#define ERR0 PEout(0)
#define ERR1 PEout(1)
#define ERR2 PEout(2)
#define ERR3 PEout(3)

#define ERR0_1 GPIOE->BSRR=1<<0
#define ERR0_0 GPIOE->BRR =1<<0
#define ERR1_1 GPIOE->BSRR=1<<1
#define ERR1_0 GPIOE->BRR =1<<1
#define ERR2_1 GPIOE->BSRR=1<<2
#define ERR2_0 GPIOE->BRR =1<<2
#define ERR3_1 GPIOE->BSRR=1<<3
#define ERR3_0 GPIOE->BRR =1<<3

void LED_Init(void);                   //初始化
void LedValue( u8 value );             //设置数码管E-A的值；流水灯L7-L0的值	
void SetLed(u8 w, u8 value);           //设置数码管哪位显示什么数字
void PortationDisplay(u8 w, u8 value); //数码管显示带小数点的数值
void ledOn(u8 led);                    //LED灯作为二进制数，显示数据

#endif

